searchData={"items":[{"type":"module","title":"Max1704x","doc":"MAX17040 AND MAX17041 Driver using Wafer.","ref":"Max1704x.html"},{"type":"function","title":"Max1704x.acquire/2","doc":"Acquire a connection to the MAX1704x device using the passed-in I2C\nconnection.\n\nThe `variant` option selects which IC to use (affects voltage scaling). Use\n`0` for MAX17040 and `1` for MAX17041.","ref":"Max1704x.html#acquire/2"},{"type":"function","title":"Max1704x.compensation/1","doc":"Returns the current version of the compensation value.","ref":"Max1704x.html#compensation/1"},{"type":"function","title":"Max1704x.compensation/2","doc":"Set the value used to compensate the ModelGauge algorithm.","ref":"Max1704x.html#compensation/2"},{"type":"function","title":"Max1704x.current_charge/1","doc":"The current state-of-charge of the connected cell (in %).","ref":"Max1704x.html#current_charge/1"},{"type":"function","title":"Max1704x.current_voltage/1","doc":"The current voltage of the connected cell.","ref":"Max1704x.html#current_voltage/1"},{"type":"function","title":"Max1704x.power_on_reset!/1","doc":"Asks the IC to perform a power-on-reset.\n\nSee the Power-On Reset section of [the data sheet](https://www.analog.com/media/en/technical-documentation/data-sheets/MAX17040-MAX17041.pdf).","ref":"Max1704x.html#power_on_reset!/1"},{"type":"function","title":"Max1704x.quickstart!/1","doc":"Asks the IC to perform a quick-start.\n\nSee the Quick-Start section of [the data sheet](https://www.analog.com/media/en/technical-documentation/data-sheets/MAX17040-MAX17041.pdf).","ref":"Max1704x.html#quickstart!/1"},{"type":"function","title":"Max1704x.version/1","doc":"Returns the IC version.","ref":"Max1704x.html#version/1"},{"type":"type","title":"Max1704x.t/0","doc":"","ref":"Max1704x.html#t:t/0"},{"type":"type","title":"Max1704x.variant/0","doc":"","ref":"Max1704x.html#t:variant/0"},{"type":"module","title":"Max1704x.Registers","doc":"Functions for interacting with the IC registers.","ref":"Max1704x.Registers.html"},{"type":"module","title":"VCELL - Max1704x.Registers","doc":"Battery voltage is measured at the CELL pin input with respect to GND over a 0\nto 5.00V range for the MAX17040 and 0 to 10.00V for the MAX17041 with\nresolutions of 1.25mV and 2.50mV, respectively. The A/D calculates the average\ncell voltage for a period of 125ms after IC POR and then for a period of 500ms\nfor every cycle afterwards. The result is placed in the VCELL register at the\nend of each conversion period.\n\n12-bits encoded in a 16 bit read-only register with four trailing 0 bytes.","ref":"Max1704x.Registers.html#module-vcell"},{"type":"module","title":"SOC - Max1704x.Registers","doc":"The SOC register is a read-only register that displays the state of charge of\nthe cell as calculated by the ModelGauge algorithm. The result is displayed as\na percentage of the cell’s full capacity. This register auto- matically adapts\nto variation in battery size since the MAX17040/MAX17041 naturally recognize\nrelative SOC. Units of % can be directly determined by observing only the high\nbyte of the SOC register. The low byte provides additional resolution in units\n1/256%. The reported SOC also includes residual capacity, which might not be\navail- able to the actual application because of early termination voltage\nrequirements. When SOC() = 0, typical applica- tions have no remaining\ncapacity. The first update occurs within 250ms after POR of the IC. Subsequent\nupdates occur at variable intervals depend- ing on application conditions.\nModelGauge calculations outside the register are clamped at minimum and maxi-\nmum register limits\n\n16 bit read-only register.","ref":"Max1704x.Registers.html#module-soc"},{"type":"module","title":"MODE - Max1704x.Registers","doc":"The MODE register allows the host processor to send special commands to the\nIC. Valid MODE register write values are listed as follows. All other MODE\nregister values are reserved.\n\n- `0x4000` - Quick-Start\n\n16 bit write-only register.","ref":"Max1704x.Registers.html#module-mode"},{"type":"module","title":"VERSION - Max1704x.Registers","doc":"The VERSION register is a read-only register that contains a value indicating\nthe production version of the MAX17040/MAX17041\n\n16 bit read-only register.","ref":"Max1704x.Registers.html#module-version"},{"type":"module","title":"RCOMP - Max1704x.Registers","doc":"RCOMP is a 16-bit value used to compensate the ModelGauge algorithm. RCOMP can\nbe adjusted to optimize performance for different lithium chemistries or\ndifferent operating temperatures. Contact Maxim for instructions for\noptimization. The factory-default value for RCOMP is 0x9700.\n\n16 bit read-write register.","ref":"Max1704x.Registers.html#module-rcomp"},{"type":"module","title":"COMMAND - Max1704x.Registers","doc":"The COMMAND register allows the host processor to send special commands to the\nIC. Valid COMMAND register write values are listed as follows. All other\nCOMMAND register values are reserved.\n\n- `0x0054` - Power-On Reset.\n\n16 bit write-only register.","ref":"Max1704x.Registers.html#module-command"},{"type":"function","title":"Max1704x.Registers.read_rcomp/1","doc":"Read the contents of the `rcomp` register.","ref":"Max1704x.Registers.html#read_rcomp/1"},{"type":"function","title":"Example - Max1704x.Registers.read_rcomp/1","doc":"iex> read_rcomp(conn)\n    {:ok, <<0, 0>>}","ref":"Max1704x.Registers.html#read_rcomp/1-example"},{"type":"function","title":"Max1704x.Registers.read_soc/1","doc":"Read the contents of the `soc` register.","ref":"Max1704x.Registers.html#read_soc/1"},{"type":"function","title":"Example - Max1704x.Registers.read_soc/1","doc":"iex> read_soc(conn)\n    {:ok, <<0, 0>>}","ref":"Max1704x.Registers.html#read_soc/1-example"},{"type":"function","title":"Max1704x.Registers.read_vcell/1","doc":"Read the contents of the `vcell` register.","ref":"Max1704x.Registers.html#read_vcell/1"},{"type":"function","title":"Example - Max1704x.Registers.read_vcell/1","doc":"iex> read_vcell(conn)\n    {:ok, <<0, 0>>}","ref":"Max1704x.Registers.html#read_vcell/1-example"},{"type":"function","title":"Max1704x.Registers.read_version/1","doc":"Read the contents of the `version` register.","ref":"Max1704x.Registers.html#read_version/1"},{"type":"function","title":"Example - Max1704x.Registers.read_version/1","doc":"iex> read_version(conn)\n    {:ok, <<0, 0>>}","ref":"Max1704x.Registers.html#read_version/1-example"},{"type":"function","title":"Max1704x.Registers.swap_rcomp/2","doc":"Swap the contents of the `rcomp` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"Max1704x.Registers.html#swap_rcomp/2"},{"type":"function","title":"Example - Max1704x.Registers.swap_rcomp/2","doc":"iex> swap_rcomp(conn, <<0, 0>>)\n    {:ok, <<0, 0>>, _conn}","ref":"Max1704x.Registers.html#swap_rcomp/2-example"},{"type":"function","title":"Max1704x.Registers.update_rcomp/2","doc":"Update the contents of the `rcomp` register using a\ntransformation function.","ref":"Max1704x.Registers.html#update_rcomp/2"},{"type":"function","title":"Example - Max1704x.Registers.update_rcomp/2","doc":"iex> transform = fn < > -> <<(data * 2)::size(16)>> end\n    ...> update_rcomp(conn, transform)\n    {:ok, _conn}","ref":"Max1704x.Registers.html#update_rcomp/2-example"},{"type":"function","title":"Max1704x.Registers.write_command/2","doc":"Write new contents to the `command` register.","ref":"Max1704x.Registers.html#write_command/2"},{"type":"function","title":"Example - Max1704x.Registers.write_command/2","doc":"iex> write_command(conn, <<0, 0>>)\n    {:ok, _conn}","ref":"Max1704x.Registers.html#write_command/2-example"},{"type":"function","title":"Max1704x.Registers.write_mode/2","doc":"Write new contents to the `mode` register.","ref":"Max1704x.Registers.html#write_mode/2"},{"type":"function","title":"Example - Max1704x.Registers.write_mode/2","doc":"iex> write_mode(conn, <<0, 0>>)\n    {:ok, _conn}","ref":"Max1704x.Registers.html#write_mode/2-example"},{"type":"function","title":"Max1704x.Registers.write_rcomp/2","doc":"Write new contents to the `rcomp` register.","ref":"Max1704x.Registers.html#write_rcomp/2"},{"type":"function","title":"Example - Max1704x.Registers.write_rcomp/2","doc":"iex> write_rcomp(conn, <<0, 0>>)\n    {:ok, _conn}","ref":"Max1704x.Registers.html#write_rcomp/2-example"},{"type":"extras","title":"Max1704x","doc":"# Max1704x\n\n[![Build Status](https://drone.harton.dev/api/badges/james/max1704x/status.svg)](https://drone.harton.dev/james/max1704x)\n[![Hex.pm](https://img.shields.io/hexpm/v/max1704x.svg)](https://hex.pm/packages/max1704x)\n[![Hippocratic License HL3-FULL](https://img.shields.io/static/v1?label=Hippocratic%20License&message=HL3-FULL&labelColor=5e2751&color=bc8c3d)](https://firstdonoharm.dev/version/3/0/full.html)\n\nA library for interacting with the [Analog Devices MAX17040 and MAX17041](https://www.analog.com/en/products/MAX17040.html) 1 and 2 cell lithium battery monitors over I2C.","ref":"readme.html"},{"type":"extras","title":"Usage - Max1704x","doc":"This library uses the [Wafer](https://harton.dev/james/wafer) project connect to the I2C device which means that it is independent of any specific I2C driver.\n\nExample using [Elixir Circuits](https://hex.pm/packages/circuits_i2c)\n\n    iex> {:ok, conn} = Wafer.Driver.CircuitsI2C.acquire(bus: \"i2c-1\", address: 0x36)\n    ...> {:ok, conn} = Max1704x.acquire(conn)\n    ...> Max1704x.current_voltage(conn)\n    {:ok, 4.165}","ref":"readme.html#usage"},{"type":"extras","title":"Installation - Max1704x","doc":"The `max1704x` package is [available on hex](https://hex.pm/packages/max1704x) so it can be installed by adding `max1704x` to your list of dependencies in `mix.exs`.\n\n```elixir\ndef deps do\n  [\n    {:max1704x, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation for the latest release is always available on\n[HexDocs](https://hexdocs.pm/max1704x/) and for the `main` branch\non [docs.harton.nz](https://docs.harton.nz/james/max1704x).","ref":"readme.html#installation"},{"type":"extras","title":"Github Mirror - Max1704x","doc":"This repository is mirrored [on Github](https://github.com/jimsynz/max1704x)\nfrom it's primary location [on my Forgejo instance](https://harton.dev/james/max1704x).\nFeel free to raise issues and open PRs on Github.","ref":"readme.html#github-mirror"},{"type":"extras","title":"License - Max1704x","doc":"This software is licensed under the terms of the\n[HL3-FULL](https://firstdonoharm.dev), see the `LICENSE.md` file included with\nthis package for the terms.\n\nThis license actively proscribes this software being used by and for some\nindustries, countries and activities. If your usage of this software doesn't\ncomply with the terms of this license, then [contact me](mailto:james@harton.nz)\nwith the details of your use-case to organise the purchase of a license - the\ncost of which may include a donation to a suitable charity or NGO.","ref":"readme.html#license"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n<!-- changelog -->\n\n## [v0.1.0](https://harton.dev/james/max1704x/compare/v0.1.0...v0.1.0) (2024-04-24)","ref":"changelog.html"},{"type":"extras","title":"Features: - Change Log","doc":"* Driver for MAX1704x ICs.","ref":"changelog.html#features"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}